<%@Language="VBScript"%>
<%'The Option Explicit makes sure that all varibles are declared
Option Explicit

'Response.Expires ensures that the page is not cached in the browser
Response.Expires = -1000

'Response.Buffer means that the page is buffered on the web server. The browser will not receive
'the page until the contents have finished rendering on the browser
Response.Buffer = True

'This variable is at page level scope, so that we can give back custom error messages
'See below
Dim sErrorMessage

'Check to see if the user has pushed the button. If they have then call do login
If Len(Trim(Request.Form("M")))<>0 Then
	'If the login information is true then redirect the user to the Welcome page
	If DoLogin Then
		Response.Redirect("Welcome.asp")
	End If
End If%>
<HTML>
	<HEAD>
		<META NAME="GENERATOR" Content="Microsoft Visual Studio 6.0">
		<TITLE>Spy Net Limited</TITLE>
	</HEAD>
	
	<SCRIPT LANGUAGE="JavaScript">
		function CheckLogin(){
			/*This script just checks the user has entered a Username before we submit the page.
			It is called from the Login button at the bottom of the page
			If they have supplied a user name then we submit the page*/
			if (formMain.UserName.value == "")
				{
				alert('Oops, you have forgotten to type your User Name. Please enter to continue.');
				formMain.UserName.focus();
				}
			else
				formMain.submit();
		}
	</SCRIPT>
	
	<BODY LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0" BGCOLOR="#666666" LANGUAGE="JavaScript" ONLOAD="formMain.UserName.focus();">
		<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="100%" BORDERCOLOR="RED">
			<TR>
				<TD WIDTH="411"><IMG SRC="images/topstrip.jpg" WIDTH="411" HEIGHT="147" VSPACE="0" HSPACE="0"></TD>
				<TD WIDTH="38"><IMG SRC="images/topstripmid.jpg" WIDTH="38" HEIGHT="147" VSPACE="0" HSPACE="0"></TD>
				<TD WIDTH><IMG SRC="images/topstripright.jpg" WIDTH="100%" HEIGHT="147" VSPACE="0" HSPACE="0"></TD>
			</TR>
		</TABLE>

		<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" BORDERCOLOR="GREEN">
			<TR>
				<TD ROWSPAN="3">&nbsp;<IMG SRC="images/figure.gif" VSPACE="20" HSPACE="0" WIDTH="172" HEIGHT="285"></TD>
				<%If Len(Trim(sErrorMessage))<>0 Then
					Response.Write("<TD WIDTH=""324"" HEIGHT=""99"" VALIGN=""CENTER""><FONT FACE=""arial, verdana, helvetica"" SIZE=""2"" COLOR=""#ffffff"">&nbsp;" & sErrorMessage & "</FONT></TD>")
				Else
					Response.Write("<TD HEIGHT=""99"">&nbsp;</TD>")
				End If%>
				<TD ROWSPAN="3"><IMG SRC="images/logo.jpg" WIDTH="295" HEIGHT="290"></TD>
			</TR>
			<TR>
				<TD valign="top"><IMG SRC="images/title.jpg" WIDTH="324" HEIGHT="63"></TD>
			</TR>
			<TR>
				<TD>&nbsp;</TD>
			</TR>
		</TABLE>
		
		<FORM NAME="formMain" ACTION="Login.asp" METHOD="POST">
			<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="100%" BORDERCOLOR="BLUE">
				<TR>
					<TD ROWSPAN="5" valign="top"><IMG SRC="images/bottomstrip.jpg" WIDTH="100%" HEIGHT="162"></TD>
					<TD WIDTH="235"><IMG SRC="images/logintopstrip.jpg" WIDTH="235" HEIGHT="17"></TD>
					<TD ROWSPAN="5" valign="top"><IMG SRC="images/bottomstrip.jpg" WIDTH="100%" HEIGHT="162"></TD>
				</TR>
				<TR>
					<TD BGCOLOR="#000000" HEIGHT="17">
						<FONT COLOR="#ff8c00" STYLE="FONT-FAMILY: Verdana; FONT-SIZE: x-small;">Username:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Password:</FONT>
					</TD>
				</TR>
				<TR>
					<TD BGCOLOR="#000000" HEIGHT="17">
						<INPUT TYPE="TEXT" NAME="UserName" SIZE="15">&nbsp;<INPUT TYPE="PASSWORD" NAME="UserPwd" SIZE="15">
					</TD>
				</TR>
				<TR>
					<TD BGCOLOR="#000000" HEIGHT="17" ALIGN="RIGHT">
						<IMG LANGUAGE="JavaScript" ONCLICK="CheckLogin();" STYLE="Cursor:Hand" SRC="Images/Login.gif" VALUE="Login" ID="Login" NAME="Login" WIDTH="101" HEIGHT="13">&nbsp;
					</TD>
				</TR>
				<TR>
					<TD>
						<IMG SRC="images/loginbottomstrip.jpg" HEIGHT="83" WIDTH="100%">
					</TD>
				</TR>
			</TABLE>
			<INPUT TYPE="HIDDEN" NAME="M" SIZE="15" VALUE="Login">
		</FORM>
	</BODY>
</HTML>

<%Function DoLogin
'This statement allows us to trap errors that may occur
On Error Resume Next
	'bResult is a boolean variable (True or False) that we use in the function
	Dim bResult
	'sConn is a varaible that we use to build the connection string information that we need to 
	'create a connection to the database with
	Dim sConn
	'These are the include files we need!!%>
	<!--#INCLUDE FILE = "Includes/adovbs.inc" -->
	<!--#INCLUDE FILE = "Includes/Connection.asp" -->
	<%If isObject(Conn) Then
		sConn = Application("Conn_ConnectionString") & ";User Id=" & Request.Form("UserName") & ";PASSWORD=" & Request.Form("UserPwd") & ";"
		Conn.Open sConn
		If Conn.State = adStateOpen Then
			bResult = True
		Else
			bResult = False
		End If
	End If
	
	If Err.number<>0 Then
		'This is the error code for a login failure
		If Err.number = -2147217843 Then
			bResult = False
			sErrorMessage = "Oops, we cannot log you in. Please check the credentials you have supplied."
		Else
			bResult = False
			sErrorMessage = "Oops, something has gone wrong internally. Please try again, and if the problem persists contact your System Administrator."
		End If
	End If
	
	'If the attempted results are are successful we will store the 
	'information in a session variable so other database connection pages
	'can use the same information
	If bResult Then
		Session("UserName") = Request.Form("UserName")
		Session("UserPwd") = Request.Form("UserPwd")
	End If
	'********************************************************************
	'NOTE:
	'IT IS NOT RECOMMENDED TO STORE PASSWORDS IN A SESSION VARIABLE
	'While session variables are only for the logged in user, they are not
	'encrypted, so suspect to hacking. In a real site you would need to find
	'some other architecture
	'********************************************************************
	
	'Finally give back the results of the attempted login
	DoLogin = bResult
End Function%>