<%@Language="VBScript"%>
<%'The Option Explicit makes sure that all varibles are declared
Option Explicit

'Response.Expires ensures that the page is not cached in the BRowser
Response.Expires = -1000

'Response.Buffer means that the page is buffered on the web server. The BRowser will not receive
'the page until the contents have finished rendering on the BRowser
'Response.Buffer = True

'If the User wishes to log out, we desTRoy the session variables
'When it gets to the next line, they will be redirected back to Login.asp
'Cool huh?
If Len(Trim(Request("DesTRoy")))<>0 Then
	If CInt(Trim(Request("DesTRoy"))) = 1 Then
		Session("UserName") = ""
	End If
End If

'Check to see if the UserName has been stored in a session variable. If not
'send the user to the Login.asp page. This will then force them to login again.
'This helps to prevent someone from just typing the URL of the page into the BRowser window
'and getting into the site
If Len(Trim(Session("UserName")))=0 Then
	'Why do we just check UserName? Well the user may have no password!
	Response.Redirect("Login.asp")
End If

'A page scoped variable becuase it will be used in more than one place
Dim sErrorMessage%>
<HTML>
	<HEAD>
		<META NAME="GENERATOR" Content="Microsoft Visual Studio 6.0">
		<TITLE>Spy Net Limited</TITLE>
	</HEAD>
	
	<SCRIPT LANGUAGE="JavaScript">
		function VerifyLogout(){
			var bConfirm = window.confirm('This will log you out of Spy Net. Are you sure you wish to continue?');
			if (!bConfirm)
				window.event.returnValue = false
		}
	</SCRIPT>
	
	<BODY LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0" ONLOAD="formMain.Firstname.focus();" BGCOLOR="#666666">
		<FORM NAME="formMain" ACTION="Search.asp" METHOD="POST">
			<INPUT TYPE="HIDDEN" NAME="M" VALUE="DoSearch">
			<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" BORDERCOLOR="RED" WIDTH="100%">
				<TR>
					<TD VALIGN="top"><IMG SRC="images/welcometopsTRip.jpg" WIDTH="100%" HEIGHT="101" VSPACE="0" HSPACE="0"></TD>
					<TD WIDTH="38" VALIGN="top"><IMG SRC="images/welcometopsTRipmid.jpg" WIDTH="38" HEIGHT="101" VSPACE="0" HSPACE="0"></TD>
					<TD WIDTH="303" VALIGN="top"><IMG SRC="images/menu.gif" WIDTH="303" HEIGHT="100" USEMAP="#menu" BORDER="0">
						<MAP NAME="menu">
							<AREA SHAPE="rect" COORDS="156,43,210,56" HREF="search.asp" TITLE="Home" ALT="Home">
							<AREA SHAPE="rect" COORDS="97,44,151,55" ONCLICK="VerifyLogout();" HREF="Search.asp?Destroy=1" TITLE="Logout" ALT="Logout">
							<AREA SHAPE="rect" COORDS="38,44,92,56" HREF="welcome.asp" TITLE="Home" ALT="Home">
						</MAP>
					</TD>
				</TR>
			</TABLE>

			<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="600" BORDERCOLOR="GREEN">
				<TR>
					<TD ROWSPAN="2">&nbsp;<IMG SRC="images/figure.gif" VSPACE="20" HSPACE="0" WIDTH="172" HEIGHT="285"></TD>
					<TD VALIGN="top" COLSPAN="2" HEIGHT="77"><IMG SRC="images/search.gif" WIDTH="167" HEIGHT="77"></TD>
				</TR>
				<TR>
					<TD WIDTH="30">&nbsp;</TD>
					<TD VALIGN="top" HEIGHT="200">
						<FONT COLOR="#ff8c00" STYLE="FONT-FAMILY: Verdana; FONT-SIZE: x-small;">First name:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Surname:</FONT><BR>
						<INPUT TYPE="TEXT" NAME="Firstname" SIZE="28" ALIGN="right" VALUE="<%=Request.Form("FirstName")%>">&nbsp;&nbsp;<INPUT TYPE="TEXT" NAME="Surname" SIZE="28" ALIGN="right" VALUE="<%=Request.Form("Surname")%>">
						<BR><BR>
						<INPUT TYPE="Image" SRC="Images/go.gif" VALUE="Search" ID="Search" NAME="Search" ALIGN="right" WIDTH="54" HEIGHT="10">
						<BR>
						<%'If our page has been submitted the hidden value M (see top of HTML, just under the opening form tag)
						'will exist, so do our search
						If Len(Trim(Request.Form("M")))<>0 And UCase(Trim(Request.Form("M")))="DOSEARCH" Then%>
							<!--#INCLUDE FILE = "Includes/Connection.asp"-->
							<!--#INCLUDE FILE = "Includes/adovbs.inc" -->
							<%'We include the Connection.asp file here so that both of the functions
							'below can see the Conn object
							Call DoPersonSearch
							'Now close the connection object (always cleaning up after ourselves!!)%>
							<!--#INCLUDE FILE = "Includes/ConnectionClose.asp"-->
						<%End If%>
					</TD>
				</TR>
			</TABLE>
	
			<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" BORDERCOLOR="BLUE" WIDTH="100%">
				<TR>
					<TD ROWSPAN="3" VALIGN="top"><IMG SRC="images/bottomsTRip.jpg" WIDTH="100%" HEIGHT="162"></TD>
				</TR>
			</TABLE>
		</FORM>
	</BODY>
</HTML>

<%'***************************************************************
'This is where make the database connection
'*****************************************************************
Function DoLogin
'This statement allows us to trap errors that may occur
On Error Resume Next
	'bResult is a boolean variable (True or False) that we use in the function
	Dim bResult
	'sConn is a varaible that we use to build the connection string information that we need to 
	'create a connection to the database with
	Dim sConn
	
	If isObject(Conn) Then
		sConn = Application("Conn_ConnectionString") & ";User Id=" & Session("UserName") & ";PASSWORD=" & Session("UserPwd") & ";"
		Conn.Open sConn
		If Conn.State = adStateOpen Then
			DoLogin = True
		Else
			DoLogin = False
		End If
	End If
	
	If Err.number<>0 Then
		'This is the error code for a login failure
		If Err.number = -2147217843 Then
			DoLogin = False
			sErrorMessage = "Oops, we cannot log you in. Please check the credentials you have supplied."
		Else
			DoLogin = False
			sErrorMessage = "Oops, something has gone wrong internally. Please try again, and if the problem persists contact your System Administrator."
		End If
	End If
End Function

'***************************************************************
'This is where actually perform the search
'*****************************************************************
Sub DoPersonSearch
	'Used to validate the user's login information, by calling the DoLogin function (see below)
	Dim bValid
	'Cmd is for the ADO Command Object
	Dim Cmd
	'rs is for the ADO Recordset Object
	Dim rs
	'This variable is used to write out the font style, as I am too lazy to write it our over and over
	Dim sFontStyle
	'These two variables are used to hold the page we are on, and what the total number of pages are
	Dim iPageCurrent, iPageCount
	
	'Our fontstyle variable
	sFontStyle = "<FONT FACE=""arial, verdana, helvetica"" SIZE=""2"" COLOR=""#ffffff"">"
	
	'Our bValidUser variable will contain either a true or false from the DoLogin function
	bValid = DoLogin
	
	'If they are not a valid user, then let's give the user a message and get out of here
	If Not bValid Then
		Response.Write(sFontStyle & "&nbsp;" & sErrorMessage & "</FONT>")
		Exit Sub
	End If
		
	'If all of the above is fine, let's do the search
	Set Cmd = Server.CreateObject("ADODB.Command")
	Set rs = Server.CreateObject("ADODB.RecordSet")
	rs.CursorLocation = adUseClient
	
	With Cmd
		.ActiveConnection = Conn
		.CommandType = adCmdStoredProc
		.CommandText = "dbo.PersonSearch"
		'Execute the sp with the correct values to get the values back
		If Len(Trim(Request.Form("FirstName")))<>0 Then
			'If they have entered value execute the SP with the value they entered
			.Parameters.Append .CreateParameter("",adVarChar,adParamInput,50,Trim(Request.Form("FirstName")))
		Else
			'If they haven't entered value still execute the SP but pass a Null
			.Parameters.Append .CreateParameter("",adVarChar,adParamInput,50,Null)
		End If
		'Do the same thing for the Surname
		If Len(Trim(Request.Form("Surname")))<>0 Then
			.Parameters.Append .CreateParameter("",adVarChar,adParamInput,50,Trim(Request.Form("Surname")))
		Else
			.Parameters.Append .CreateParameter("",adVarChar,adParamInput,50,Null)
		End If
		
		'**************************************************************************************************
		'WARNING: Because we are not using the parameters.refresh, and explicity naming our parameters we 
		'need to make sure they are passed into the SP in EXACTLY the same way as they are declared.
		'Why not use the parameters.refresh command then? Because that takes a trip to the SQL Server to get 
		'all of the parameter information back to the Command object, and the less trips to the server the better
		'**************************************************************************************************
		
		'Finally assign our recordset the values that have been returned from the Command object
		Set rs = .Execute
	End With
	
	rs.PageSize = 3
	
	'Check rs is not empty
	'If it is tell the user, clean up our objects, and get out of the page!
	If rs.EOF Then
		sErrorMessage = "Your search produced no results. Please re-enter some new search criteria, and try again."
		Response.Write(sFontStyle & "&nbsp;" & sErrorMessage & "</FONT>")
		'Clean up everything
		rs.Close
		Set rs = Nothing
		Set Cmd = Nothing
		Exit Sub
	End If
	
	iPageCurrent = Request.Form("PageCurrent")
	If Len(Trim(Request.Form("Next.x")))<>0 Then
		iPageCurrent = iPageCurrent + 1
	ElseIf Len(Trim(Request.Form("Previous.x")))<>0 Then
		iPageCurrent = iPageCurrent - 1
	Else
		iPageCurrent = 1
	End If
	
	rs.AbsolutePage = iPageCurrent
	iPageCount = rs.PageCount
	
	'If we get to here our rs is not empty, so write out the results. Simple ehh!
	Response.Write("<TABLE BORDER=""0"" BORDERCOLOR=""ORANGE"">")
	
	'Record and page count stuff
	Response.Write("<TR>")
	'Wrote the font style our for this one as we are using a different color
	Response.Write("<TD COLSPAN=""10""><FONT FACE=""arial, verdana, helvetica"" SIZE=""2"" COLOR=""#ff8c00"">")
	Response.Write("Your search returned " & rs.RecordCount & " records and you are on page " & iPageCurrent & " of " & iPageCount)
	Response.Write("</FONT></TD>")
	Response.Write("</TR>")
	
	'Hide the current page, so that we can move back and forth
	Response.Write("<INPUT TYPE=""HIDDEN"" NAME=""PageCurrent"" VALUE=" & """" & iPageCurrent & """" & ">")
	Response.Write("<TR>")
	Response.Write("<TD COLSPAN=""4"">")
	If iPageCurrent > 1 Then
		Response.Write("<INPUT TYPE=""Image"" ALT=""Previous Records"" SRC=""Images/Previous.gif"" VALUE=""Previous"" NAME=""Previous"" WIDTH=""54"" HEIGHT=""10"">&nbsp;")
	End If
	
	If iPageCurrent < iPageCount Then
		Response.Write("<INPUT TYPE=""Image"" ALT=""Next Records"" SRC=""Images/Next.gif"" VALUE=""Next"" NAME=""Next"" WIDTH=""54"" HEIGHT=""10"">")
	End If
	
	Response.Write("</TD>")
	Response.Write("</TR>")
	
	'Table header stuff
	Response.Write("<TR>")
	Response.Write("<TD>" & sFontStyle & "<B>Person's Name</B></FONT></TD>")
	Response.Write("<TD>" & sFontStyle & "<B>Date of Birth<B></FONT></TD>")
	Response.Write("<TD>" & sFontStyle & "<B>Phone No.</B></FONT></TD>")
	Response.Write("</TR>")
	
	Do While rs.AbsolutePage = iPageCurrent And Not rs.EOF
		Response.Write("<TR>")
		Response.Write("<TD>" & sFontStyle & rs("FullName") & "</FONT></TD>")
		Response.Write("<TD>" & sFontStyle & rs("DOB") & "</FONT></TD>")
		Response.Write("<TD>" & sFontStyle & rs("PhoneNo") & "</FONT></TD>")
		Response.Write("</TR>")
		rs.MoveNext
	Loop
	Response.Write("</TABLE>")
	
	'Remember to clean up everything
	rs.Close
	Set rs = Nothing
	Set Cmd = Nothing
End Sub%>